## qt6-shadertools 6.2.4

=== CMakeLists.txt ===
# Generated from qtshadertools.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtShaderTools
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt ShaderTools Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# special case begin

# Make sure we only use latest private CMake API, aka no compatibility wrappers.
set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui)
# special case end

if(INTEGRITY)
add_compile_definitions(__inline=inline)
endif()

if(NOT TARGET Qt::Gui)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Gui\" is not met.")
    return()
endif()
if(VXWORKS OR WATCHOS)
    message(NOTICE "Skipping the build as the condition \"NOT VXWORKS AND NOT WATCHOS\" is not met.")
    return()
endif()

# Ensure macros are available when configuring tests in-tree with the Qt build
include(tools/qsb/Qt6ShaderToolsMacros.cmake)

qt_build_repo()

=== debian/changelog ===
qt6-shadertools (6.2.4-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patches to fix big endian issues.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Apr 2022 23:28:24 +0200

qt6-shadertools (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Sun, 27 Mar 2022 17:32:52 +0200

qt6-shadertools (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 21:52:25 +0100

qt6-shadertools (6.2.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 04:05:53 +0100

qt6-shadertools (6.2.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Move private headers into the dev-package as they are referenced
    from a cmake-file.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Nov 2021 00:41:51 +0100

qt6-shadertools (6.2.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing dependency for qt6-shader-baker in libqt6shadertools6-
    dev.
  * Add missing MA:foreign for qt6-shader-baker.
  * Do not install qt_lib_shadertools_private.pri.
  * New upstream release (6.2.1).
  * Update B-Ds.
  * Update symbols.

 -- Patrick Franz <deltaone@debian.org>  Fri, 05 Nov 2021 16:55:21 +0100

qt6-shadertools (6.2.0-1) experimental; urgency=medium

  * Initial release (Closes: #995813).

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Oct 2021 13:53:13 +0200

=== debian/control ===
Source: qt6-shadertools
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl1-mesa-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools

Package: libqt6shadertools6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 shader tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QTShaderTools module contains APIs and tools to provide functionality
 for the shader pipeline used by QtQuick.

Package: qt6-shader-baker
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 shader baker
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Shader Baker tool.

Package: libqt6shadertools6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6shadertools6 (= ${binary:Version}),
         qt6-shader-baker (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 shader tools module - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtShaderTools library.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-shadertools 6.3.1

=== debian/changelog ===
qt6-shadertools (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump CMake requirement to >= 3.24~ in order to get the pkg-config's .pc
    files.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 12:28:53 -0300

qt6-shadertools (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:23:54 +0200

qt6-shadertools (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Jul 2022 20:16:37 +0200

qt6-shadertools (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 22:15:19 +0200

qt6-shadertools (6.2.4-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, just for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 28 Apr 2022 16:33:27 -0300

qt6-shadertools (6.2.4-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:07:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>
-Build-Depends: cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl1-mesa-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git

## qt6-shadertools 6.4.2~rc1

=== debian/changelog ===
qt6-shadertools (6.4.2~rc1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jan 2023 16:23:53 -0300

qt6-shadertools (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6shadertools6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:41:26 +0100

qt6-shadertools (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:01 +0100

qt6-shadertools (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:37 +0100

qt6-shadertools (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6shadertools6-dev to qt6-shadertools-dev.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 19:56:11 +0100

qt6-shadertools (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 22:27:54 +0100

qt6-shadertools (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix FTCBFS, thx to Helmut Grohne: (Closes: #1023157).
    + Pass QT_HOST_PATH and QT_HOST_PATH_CMAKE_DIR.
    + New cross build dependency on native qsb.
    + Do build tools when cross compiling.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Nov 2022 14:26:56 +0100

qt6-shadertools (6.4.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Remove patches as they have been applied upstream.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Oct 2022 12:20:55 +0200

qt6-shadertools (6.3.1-3) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump CMake minimum version in order to ensure that .pc files are being
    generated.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Oct 2022 21:27:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,15 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl1-mesa-dev,
+               qt6-shadertools-dev:native <cross>,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-shader-baker <cross>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git
@@ -40,13 +42,16 @@
  .
  This package contains the Qt Shader Baker tool.
 
-Package: libqt6shadertools6-dev
+Package: qt6-shadertools-dev
+Provides: libqt6shadertools6-dev (= ${binary:Version})
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6shadertools6 (= ${binary:Version}),
          qt6-shader-baker (= ${binary:Version}),
          ${misc:Depends},
+Breaks: libqt6shadertools6-dev (<< 6.4.1-1~)
+Replaces: libqt6shadertools6-dev (<< 6.4.1-1~)
 Description: Qt 6 shader tools module - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-shadertools 6.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,17 +10,8 @@
     LANGUAGES CXX C
 )
 
-# special case begin
-
-# Make sure we only use latest private CMake API, aka no compatibility wrappers.
-set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)
-
-# Make sure we use the fixed BASE argument of qt_add_resource.
-set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)
-
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
 find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui)
-# special case end
 
 if(INTEGRITY)
 add_compile_definitions(__inline=inline)

=== tools/CMakeLists.txt ===
# Generated from tools.pro.

add_subdirectory(qsb)

=== debian/changelog ===
qt6-shadertools (6.4.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:55:27 +0000

qt6-shadertools (6.4.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:01:39 +0000

qt6-shadertools (6.4.2-3) unstable; urgency=medium

  * Team upload.
  * Fix wrong description.
  * Add symlink to let users find the html doc in the normal Debian path.
  * Rename qt6-shadertools-doc-html.doc-base.qmake to
    qt6-shadertools-doc-html.doc-base.qtshadertools to properly match the
    content.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Jul 2023 10:00:36 -0300

qt6-shadertools (6.4.2-2) experimental; urgency=medium

  * Team upload.
  * Build documentation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Jul 2023 18:44:33 -0300

qt6-shadertools (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Switch libgl1-mesa-dev B-D to libgl-dev as libgl1-mesa-dev has been
    superseded.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 Jan 2023 00:24:01 +0100

=== debian/control ===
Source: qt6-shadertools
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-shader-baker <cross>,
               qt6-shadertools-dev:native <cross>,
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools

Package: libqt6shadertools6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 shader tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QTShaderTools module contains APIs and tools to provide functionality
 for the shader pipeline used by QtQuick.

Package: qt6-shader-baker
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 shader baker
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Shader Baker tool.

Package: qt6-shadertools-dev
Provides: libqt6shadertools6-dev (= ${binary:Version}),
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6shadertools6 (= ${binary:Version}),
         qt6-shader-baker (= ${binary:Version}),
         ${misc:Depends},
Breaks: libqt6shadertools6-dev (<< 6.4.1-1~),
Replaces: libqt6shadertools6-dev (<< 6.4.1-1~),
Description: Qt 6 shader tools module - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtShaderTools library.

Package: qt6-shadertools-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 shader tools documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 shader tools.

Package: qt6-shadertools-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 shader tools HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 shader tools.

Package: qt6-shadertools-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 shadertools tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt shader tools
 documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(cmake_extra_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-shadertools 6.6.1

=== debian/changelog ===
qt6-shadertools (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Dec 2023 21:34:21 +0100

qt6-shadertools (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add virtual package qt6-shadertools-private-abi.
  * Use the (symver) directive to catch all private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Oct 2023 00:45:42 +0200

qt6-shadertools (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Oct 2023 21:58:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-shadertools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -11,12 +10,12 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
@@ -26,6 +25,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
+Provides: qt6-shadertools-private-abi (= 6.6.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-shadertools 6.6.2

=== debian/changelog ===
qt6-shadertools (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:40:22 +0200

qt6-shadertools (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Feb 2024 20:13:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
@@ -25,7 +25,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-shadertools-private-abi (= 6.6.1),
+Provides: qt6-shadertools-private-abi (= 6.6.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-shadertools 6.7.2

=== debian/changelog ===
qt6-shadertools (6.7.2-3) unstable; urgency=medium

  * Remove virtual package libqt6shadertools6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:04:33 +0200

qt6-shadertools (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:08:13 +0200

qt6-shadertools (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update ABI to 6.7.2.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Aug 2024 12:32:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git
@@ -25,7 +25,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-shadertools-private-abi (= 6.6.2),
+Provides: qt6-shadertools-private-abi (= 6.7.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -45,7 +45,6 @@
  This package contains the Qt Shader Baker tool.
 
 Package: qt6-shadertools-dev
-Provides: libqt6shadertools6-dev (= ${binary:Version}),
 Section: libdevel
 Architecture: any
 Multi-Arch: same

## qt6-shadertools 6.8.0

=== debian/changelog ===
qt6-shadertools (6.8.0-0deepin1) UNRELEASED; urgency=medium

  * New upstream release (6.8.0).
  * Bump Qt B-Ds to 6.8.0.
  * Update ABI to 6.8.0.
  * Update symbols from buildlogs.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 18 Oct 2024 15:06:02 +0800

qt6-shadertools (6.6.1-1deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:17:14 +0800

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git
@@ -25,7 +25,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-shadertools-private-abi (= 6.7.2),
+Provides: qt6-shadertools-private-abi (= 6.8.0),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -45,6 +45,7 @@
  This package contains the Qt Shader Baker tool.
 
 Package: qt6-shadertools-dev
+Provides: libqt6shadertools6-dev (= ${binary:Version}),
 Section: libdevel
 Architecture: any
 Multi-Arch: same

## qt6-shadertools 6.8.1

=== debian/changelog ===
qt6-shadertools (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:50:36 -0600

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: qt6-shadertools
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git
@@ -25,7 +26,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-shadertools-private-abi (= 6.8.0),
+Provides: qt6-shadertools-private-abi (= 6.8.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -45,7 +46,6 @@
  This package contains the Qt Shader Baker tool.
 
 Package: qt6-shadertools-dev
-Provides: libqt6shadertools6-dev (= ${binary:Version}),
 Section: libdevel
 Architecture: any
 Multi-Arch: same

## qt6-shadertools 6.8.2

=== debian/changelog ===
qt6-shadertools (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:16:50 +0100

qt6-shadertools (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Fix path for documentation.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 12:09:04 +0100

qt6-shadertools (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Feb 2025 19:59:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: qt6-shadertools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkgconf,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
@@ -26,7 +25,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-shadertools-private-abi (= 6.8.1),
+Provides: qt6-shadertools-private-abi (= 6.8.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-shadertools 6.8.3

=== debian/changelog ===
qt6-shadertools (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:20:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-shadertools
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -10,8 +11,8 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
@@ -25,7 +26,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-shadertools-private-abi (= 6.8.2),
+Provides: qt6-shadertools-private-abi (= 6.8.3),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-shadertools 6.9.1

=== debian/changelog ===
qt6-shadertools (6.9.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Replace QT_BUILD_TOOLS_WHEN_CROSSCOMPILING with QT_FORCE_BUILD_TOOLS
    for cross-builds.

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Aug 2025 22:09:23 +0200

qt6-shadertools (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 14:31:50 +0200

qt6-shadertools (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add ccache to B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Jul 2025 12:57:04 +0200

qt6-shadertools (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update ABI to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Jul 2025 18:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: qt6-shadertools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libgl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-shadertools.git
@@ -26,7 +27,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-shadertools-private-abi (= 6.8.3),
+Provides: qt6-shadertools-private-abi (= 6.9.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-shadertools 6.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Generated from qtshadertools.pro.
 
 cmake_minimum_required(VERSION 3.16)
@@ -12,6 +15,7 @@
 
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
 find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui)
+qt_internal_project_setup()
 
 if(INTEGRITY)
 add_compile_definitions(__inline=inline)
@@ -21,8 +25,8 @@
     message(NOTICE "Skipping the build as the condition \"TARGET Qt::Gui\" is not met.")
     return()
 endif()
-if(VXWORKS OR WATCHOS)
-    message(NOTICE "Skipping the build as the condition \"NOT VXWORKS AND NOT WATCHOS\" is not met.")
+if(WATCHOS)
+    message(NOTICE "Skipping the build as the condition \"NOT WATCHOS\" is not met.")
     return()
 endif()

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from src.pro.

add_subdirectory(glslang)
add_subdirectory(SPIRV-Cross)
add_subdirectory(shadertools)

=== src/SPIRV-Cross/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from SPIRV-Cross.pro.

#####################################################################
## BundledSpirv_Cross Generic Library:
#####################################################################

qt_internal_add_3rdparty_library(BundledSpirv_Cross
    QMAKE_LIB_NAME spirv_cross
    STATIC
    EXCEPTIONS
    SOURCES
        ../3rdparty/SPIRV-Cross/spirv_cfg.cpp
        ../3rdparty/SPIRV-Cross/spirv_cpp.cpp
        ../3rdparty/SPIRV-Cross/spirv_cross.cpp
        ../3rdparty/SPIRV-Cross/spirv_cross_c.cpp
        ../3rdparty/SPIRV-Cross/spirv_cross_parsed_ir.cpp
        ../3rdparty/SPIRV-Cross/spirv_cross_util.cpp
        ../3rdparty/SPIRV-Cross/spirv_glsl.cpp
        ../3rdparty/SPIRV-Cross/spirv_hlsl.cpp
        ../3rdparty/SPIRV-Cross/spirv_msl.cpp
        ../3rdparty/SPIRV-Cross/spirv_parser.cpp
        ../3rdparty/SPIRV-Cross/spirv_reflect.cpp
    DEFINES
        SPIRV_CROSS_C_API_GLSL=1
        SPIRV_CROSS_C_API_HLSL=1
        SPIRV_CROSS_C_API_MSL=1
    ATTRIBUTION_FILE_DIR_PATHS
        ../3rdparty/SPIRV-Cross
)
qt_disable_warnings(BundledSpirv_Cross)
qt_set_symbol_visibility_hidden(BundledSpirv_Cross)

=== tests/auto/qsbdepfiles/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qsbdepfiles LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qsbdepfiles
    SOURCES
    tst_qsbdepfiles.cpp
)

qt_add_shaders(tst_qsbdepfiles
    "shaders"
    PRECOMPILE
    OPTIMIZED
    PREFIX
        "/"
    FILES
        "shaders/tst.frag"
        "shaders/tstinclude.frag"
        "shaders/tstincluderelative.frag"
        "shaders/tstincludewhitespaces.frag"
        "shaders/tstincludecomment.frag"
)

set(data_base_dir "${CMAKE_CURRENT_BINARY_DIR}/data")

configure_file("data/tst.frag.qsb.d.in"
    "${data_base_dir}/tst.frag.qsb.d" NEWLINE_STYLE LF)
configure_file("data/tstinclude.frag.qsb.d.in"
    "${data_base_dir}/tstinclude.frag.qsb.d" NEWLINE_STYLE LF)
configure_file("data/tstincluderelative.frag.qsb.d.in"
    "${data_base_dir}/tstincluderelative.frag.qsb.d" NEWLINE_STYLE LF)
configure_file("data/tstincludewhitespaces.frag.qsb.d.in"
    "${data_base_dir}/tstincludewhitespaces.frag.qsb.d" NEWLINE_STYLE LF)
configure_file("data/tstincludecomment.frag.qsb.d.in"
    "${data_base_dir}/tstincludecomment.frag.qsb.d" NEWLINE_STYLE LF)

qt_add_resources(tst_qsbdepfiles "tst_qsbdepfiles_data"
    PREFIX "/data"
    BASE "${data_base_dir}"
    FILES
        "${data_base_dir}/tst.frag.qsb.d"
        "${data_base_dir}/tstinclude.frag.qsb.d"
        "${data_base_dir}/tstincluderelative.frag.qsb.d"
        "${data_base_dir}/tstincludewhitespaces.frag.qsb.d"
        "${data_base_dir}/tstincludecomment.frag.qsb.d"
)

=== debian/changelog ===
qt6-shadertools (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Sep 2025 19:06:47 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
                qt6-shader-baker <cross>,
                qt6-shadertools-dev:native <cross>,
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
@@ -27,7 +27,7 @@
 Package: libqt6shadertools6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-shadertools-private-abi (= 6.9.1),
+Provides: qt6-shadertools-private-abi (= 6.9.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 shader tools module
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,11 @@
 	cmake_extra_args += \
 		-DQT_HOST_PATH=/usr \
 		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
-		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
+		-DQT_FORCE_BUILD_TOOLS=ON
 endif
 
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
+	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtshadertools-everywhere-src-(.*)\.tar\.xz

## qt6-shadertools 6.10.0

=== debian/changelog ===
qt6-shadertools (6.10.0-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 08:25:23 +0000

qt6-shadertools (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:35:15 +1000

qt6-shadertools (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-shadertools (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 28 Aug 2025 22:18:16 +1000

qt6-shadertools (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 19:39:59 +1000

qt6-shadertools (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 20 Apr 2025 19:09:50 +1000

qt6-shadertools (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:26:19 +1000

qt6-shadertools (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 06:36:20 +1000

qt6-shadertools (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 07 Dec 2024 15:45:59 +1000

qt6-shadertools (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:15:43 +1000

qt6-shadertools (6.7.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:14:45 +1000

qt6-shadertools (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 18:41:55 +1000

qt6-shadertools (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 10:02:07 +1000

qt6-shadertools (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 22:27:54 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE = 1
+export DH_VERBOSE = 1
 
 # Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
@@ -11,16 +11,19 @@
 	cmake_extra_args += \
 		-DQT_HOST_PATH=/usr \
 		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
-		-DQT_FORCE_BUILD_TOOLS=ON
+		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
 endif
 
 %:
-	dh $@ --buildsystem=cmake+ninja
+	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--log-level=STATUS \
+		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
+		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
+		-DQT_UNITY_BUILD=ON \
 		$(cmake_extra_args)
 
 override_dh_auto_build-indep:
@@ -30,7 +33,8 @@
 	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
 	# Remove build path from index files.
 	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
-               sed -i 's@$(CURDIR)/@@g' {} \;
+                sed -i 's@$(CURDIR)/@@g' {} \;
+
 
 execute_after_dh_auto_install-arch:
 	# Reproducible builds: remove build paths from .prl files
